---
title: List
slug: reference/sIVD-list
docTags: 
createdAt: 2025-07-10T21:22:34.175Z
---

{
  "id": "s8YsodqHjIUzb_EizP9hR",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://app.amberflo.io/business-unit/chargeback/invoice",
    "servers": [
      {
        "url": "https://app.amberflo.io/business-unit/chargeback/invoice"
      }
    ],
    "name": "List",
    "description": "<p>List business units' chargeback invoices; returns summary invoices with only the grand total</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "limit",
          "type": "integer<int32>",
          "description": ""
        },
        {
          "kind": "optional",
          "name": "page",
          "type": "integer<int32>",
          "description": ""
        },
        {
          "kind": "optional",
          "name": "businessUnitIds",
          "type": "array",
          "description": "Filter for these business units.",
          "schema": [],
          "itemType": "string",
          "customType": "string[]"
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "apiKey",
          "name": "X-API-KEY",
          "kind": "optional",
          "type": "apiKey",
          "in": "header"
        }
      ]
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Successful request",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "business_unit.invoice.query.ChargebackInvoicePage.out",
            "schema": [
              {
                "name": "metadata",
                "kind": "optional",
                "type": "object",
                "description": "",
                "modelRef": "#/components/schemas/business_unit.invoice.query.ChargebackInvoicePageMetadata.out",
                "customType": "business_unit.invoice.query.ChargebackInvoicePageMetadata.out",
                "schema": [
                  {
                    "name": "limit",
                    "kind": "optional",
                    "type": "integer<int32>",
                    "example": 0
                  },
                  {
                    "name": "page",
                    "kind": "optional",
                    "type": "integer<int32>",
                    "example": 0
                  },
                  {
                    "name": "businessUnitIds",
                    "kind": "optional",
                    "type": "array",
                    "description": "Filter for these business units.",
                    "example": "",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  },
                  {
                    "name": "totalRowCount",
                    "kind": "optional",
                    "type": "integer<int32>",
                    "example": 0
                  },
                  {
                    "name": "filteredRowCount",
                    "kind": "optional",
                    "type": "integer<int32>",
                    "example": 0
                  },
                  {
                    "name": "totalFilteredPages",
                    "kind": "optional",
                    "type": "integer<int32>",
                    "example": 0
                  }
                ]
              },
              {
                "name": "items",
                "kind": "optional",
                "type": "array",
                "description": "",
                "modelRef": "#/components/schemas/business_unit.invoice.BasicChargebackInvoice.out",
                "customType": "business_unit.invoice.BasicChargebackInvoice.out[]",
                "schema": [
                  {
                    "name": "businessUnitId",
                    "kind": "required",
                    "type": "string",
                    "description": "Id of the business unit to which the invoice belongs.",
                    "example": ""
                  },
                  {
                    "name": "startTimeInSeconds",
                    "kind": "required",
                    "type": "integer<int64>",
                    "description": "Start time of the billing period of this invoice, in [Unix time](https://en.wikipedia.org/wiki/Unix_time) (seconds).",
                    "example": 0
                  },
                  {
                    "name": "endTimeInSeconds",
                    "kind": "optional",
                    "type": "integer<int64>",
                    "description": "End time of the billing period of this invoice, in [Unix time](https://en.wikipedia.org/wiki/Unix_time) (seconds).",
                    "example": 0
                  },
                  {
                    "name": "status",
                    "kind": "optional",
                    "type": "string",
                    "description": "Status of the invoice.\n",
                    "modelRef": "#/components/schemas/business_unit.invoice.ChargebackInvoiceStatus.out",
                    "customType": "business_unit.invoice.ChargebackInvoiceStatus.out",
                    "schema": []
                  },
                  {
                    "name": "chargebackAmount",
                    "kind": "optional",
                    "type": "number",
                    "description": "Total chargeback amount.",
                    "example": ""
                  },
                  {
                    "name": "updateTimeInSeconds",
                    "kind": "optional",
                    "type": "integer<int64>",
                    "description": "Last update time of this invoice, in [Unix time](https://en.wikipedia.org/wiki/Unix_time) (seconds).",
                    "example": 0
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/business_unit.invoice.query.ChargebackInvoicePage.out",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "e5faAlnkYzR1Si8kkzwFb",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://app.amberflo.io/business-unit/chargeback/invoice \\\n     --header 'accept: application/json'"
        },
        {
          "id": "qGqAW52oamlJYVUpnqC6M",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://app.amberflo.io/business-unit/chargeback/invoice\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "GTzVchM3c-_H1UaD_vl-Y",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://app.amberflo.io/business-unit/chargeback/invoice\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "OMlN18deSGoEL5pkkQ4y9",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://app.amberflo.io/business-unit/chargeback/invoice\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "e5faAlnkYzR1Si8kkzwFb"
    },
    "results": {
      "languages": [
        {
          "id": "1gr6Lth6zlX9ScvgmEfc8",
          "language": "200",
          "code": "// Successful request\n{\n  \"metadata\": {\n    \"limit\": \"\",\n    \"page\": \"\",\n    \"businessUnitIds\": [\n      \"\"\n    ],\n    \"totalRowCount\": \"\",\n    \"filteredRowCount\": \"\",\n    \"totalFilteredPages\": \"\"\n  },\n  \"items\": [\n    {\n      \"businessUnitId\": \"\",\n      \"startTimeInSeconds\": \"\",\n      \"endTimeInSeconds\": \"\",\n      \"status\": \"\",\n      \"chargebackAmount\": 0,\n      \"updateTimeInSeconds\": \"\"\n    }\n  ]\n}"
        }
      ],
      "selectedLanguageId": "1gr6Lth6zlX9ScvgmEfc8"
    }
  },
  "children": [
    {
      "id": "pDDpPAtr2EZr8olpF2vYZ",
      "type": "paragraph",
      "children": [
        {
          "text": "List business units' chargeback invoices; returns summary invoices with only the grand total",
          "id": "9qFZZtBykgFsTACCHI2D7"
        }
      ]
    }
  ]
}